#include <iostream>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    int N, K, X;
    cin >> N >> K >> X;

    if(K == N && N >= 3)
    {
        cout << 0 << ' ' << X << ' ';
        for(int i = 0; i < N-3; i++)
            cout << X+1 << ' ';
        cout << 2*X;
    }
    else if(K == 3 && N >= 4)
    {
        cout << 0 << ' ' << 0 << ' ' << 0 << ' ';
        for(int i = 0; i < N-4; i++)
            cout << X-1 << ' ';
        cout << X;
    }
    else
        cout << -1;

    return 0;
}